--[[
Name: LibBabble-MineralNodes-1.0
Revision: $Rev: 1 $
Maintainers: tritium <tritium@noisywires.net>
Website: 
Dependencies: LibStub, LibBabble-3.0
License: This work is dedicated to the public domain.
Description: LibBabble library for translations of mineral node names.
Credits: thanks to gathermate2 translators
]]

local MAJOR_VERSION = "LibBabble-MineralNodes-1.0"
local MINOR_VERSION = 1

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations {
	["Adamantite Deposit"] = "Adamantite Deposit",
	["Ancient Gem Vein"] = "Ancient Gem Vein",
	["Blackrock Deposit"] = "Blackrock Deposit",
	["Cobalt Deposit"] = "Cobalt Deposit",
	["Copper Vein"] = "Copper Vein",
	["Dark Iron Deposit"] = "Dark Iron Deposit",
	["Elementium Vein"] = "Elementium Vein",
	["Fel Iron Deposit"] = "Fel Iron Deposit",
	["Ghost Iron Deposit"] = "Ghost Iron Deposit",
	["Gold Vein"] = "Gold Vein",
	["Incendicite Mineral Vein"] = "Incendicite Mineral Vein",
	["Indurium Mineral Vein"] = "Indurium Mineral Vein",
	["Iron Deposit"] = "Iron Deposit",
	["Khorium Vein"] = "Khorium Vein",
	["Kyparite Deposit"] = "Kyparite Deposit",
	["Large Obsidian Chunk"] = "Large Obsidian Chunk",
	["Lesser Bloodstone Deposit"] = "Lesser Bloodstone Deposit",
	["Mithril Deposit"] = "Mithril Deposit",
	["Nethercite Deposit"] = "Nethercite Deposit",
	["Obsidium Deposit"] = "Obsidium Deposit",
	["Ooze Covered Gold Vein"] = "Ooze Covered Gold Vein",
	["Ooze Covered Mithril Deposit"] = "Ooze Covered Mithril Deposit",
	["Ooze Covered Rich Thorium Vein"] = "Ooze Covered Rich Thorium Vein",
	["Ooze Covered Silver Vein"] = "Ooze Covered Silver Vein",
	["Ooze Covered Thorium Vein"] = "Ooze Covered Thorium Vein",
	["Ooze Covered Truesilver Deposit"] = "Ooze Covered Truesilver Deposit",
	["Pure Saronite Deposit"] = "Pure Saronite Deposit",
	["Pyrite Deposit"] = "Pyrite Deposit",
	["Rich Adamantite Deposit"] = "Rich Adamantite Deposit",
	["Rich Blackrock Deposit"] = "Rich Blackrock Deposit",
	["Rich Cobalt Deposit"] = "Rich Cobalt Deposit",
	["Rich Elementium Vein"] = "Rich Elementium Vein",
	["Rich Ghost Iron Deposit"] = "Rich Ghost Iron Deposit",
	["Rich Kyparite Deposit"] = "Rich Kyparite Deposit",
	["Rich Obsidium Deposit"] = "Rich Obsidium Deposit",
	["Rich Pyrite Deposit"] = "Rich Pyrite Deposit",
	["Rich Saronite Deposit"] = "Rich Saronite Deposit",
	["Rich Thorium Vein"] = "Rich Thorium Vein",
	["Rich Trillium Vein"] = "Rich Trillium Vein",
	["Rich True Iron Deposit"] = "Rich True Iron Deposit",
	["Saronite Deposit"] = "Saronite Deposit",
	["Silver Vein"] = "Silver Vein",
	["Small Obsidian Chunk"] = "Small Obsidian Chunk",
	["Small Thorium Vein"] = "Small Thorium Vein",
	["Smoldering True Iron Deposit"] = "Smoldering True Iron Deposit",
	["Tin Vein"] = "Tin Vein",
	["Titanium Vein"] = "Titanium Vein",
	["Trillium Vein"] = "Trillium Vein",
	["True Iron Deposit"] = "True Iron Deposit",
	["Truesilver Deposit"] = "Truesilver Deposit",
}

if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "Adamantitvorkommen",
		["Blackrock Deposit"] = "Schwarzfelsvorkommen",
		["Cobalt Deposit"] = "Kobaltvorkommen",
		["Copper Vein"] = "Kupferader",
		["Dark Iron Deposit"] = "Dunkeleisenablagerung",
		["Elementium Vein"] = "Elementiumader",
		["Fel Iron Deposit"] = "Teufelseisenvorkommen",
		["Ghost Iron Deposit"] = "Geistereisenvorkommen",
		["Gold Vein"] = "Goldader",
		["Incendicite Mineral Vein"] = "Pyrophormineralvorkommen",
		["Indurium Mineral Vein"] = "Induriummineralvorkommen",
		["Iron Deposit"] = "Eisenvorkommen",
		["Khorium Vein"] = "Khoriumader",
		["Kyparite Deposit"] = "Kyparitvorkommen",
		["Large Obsidian Chunk"] = "Großer Obsidiumvorkommen",
		["Lesser Bloodstone Deposit"] = "Geringe Blutsteinablagerung",
		["Mithril Deposit"] = "Mithrilvorkommen",
		["Nethercite Deposit"] = "Netheritablagerung",
		["Obsidium Deposit"] = "Obsidiumvorkommen",
		["Ooze Covered Gold Vein"] = "Schlammbedecktes Goldvorkommen",
		["Ooze Covered Mithril Deposit"] = "Schlammbedeckte Mithrilablagerung",
		["Ooze Covered Rich Thorium Vein"] = "Schlammbedecktes reiches Thoriumvorkommen",
		["Ooze Covered Silver Vein"] = "Schlammbedecktes Silbervorkommen",
		["Ooze Covered Thorium Vein"] = "Schlammbedeckte Thoriumader",
		["Ooze Covered Truesilver Deposit"] = "Schlammbedecktes Echtsilbervorkommen",
		["Pure Saronite Deposit"] = "Reine Saronitablagerung",
		["Pyrite Deposit"] = "Pyritvorkommen",
		["Rich Adamantite Deposit"] = "Reiches Adamantitvorkommen",
		["Rich Blackrock Deposit"] = "Reiches Schwarzfelsvorkommen",
		["Rich Cobalt Deposit"] = "Reiches Kobaltvorkommen",
		["Rich Elementium Vein"] = "Reiche Elementiumader",
		["Rich Ghost Iron Deposit"] = "Reiches Geistereisenvorkommen",
		["Rich Kyparite Deposit"] = "Reiches Kyparitvorkommen",
		["Rich Obsidium Deposit"] = "Reiches Obsidiumvorkommen",
		["Rich Pyrite Deposit"] = "Reiches Pyritvorkommen",
		["Rich Saronite Deposit"] = "Reiches Saronitvorkommen",
		["Rich Thorium Vein"] = "Reiche Thoriumader",
		["Rich Trillium Vein"] = "Reiche Trilliumader",
		["Rich True Iron Deposit"] = "Reiches Echteisenvorkommen",
		["Saronite Deposit"] = "Saronitvorkommen",
		["Silver Vein"] = "Silberader",
		["Small Obsidian Chunk"] = "Kleiner Obsidiumvorkommen",
		["Small Thorium Vein"] = "Kleine Thoriumader",
		["Tin Vein"] = "Zinnader",
		["Titanium Vein"] = "Titanader",
		["Trillium Vein"] = "Trilliumader",
		["True Iron Deposit"] = "Echteisenvorkommen",
		["Truesilver Deposit"] = "Echtsilbervorkommen",
	}
elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "Depósito de adamantita",
		["Blackrock Deposit"] = "Depósito de Roca Negra",
		["Cobalt Deposit"] = "Depósito de cobalto",
		["Copper Vein"] = "Filón de cobre",
		["Dark Iron Deposit"] = "Depósito de Hierro negro",
		["Elementium Vein"] = "Filón de elementium",
		["Fel Iron Deposit"] = "Depósito de hierro vil",
		["Ghost Iron Deposit"] = "Depósito de hierro fantasma",
		["Gold Vein"] = "Filón de oro",
		["Incendicite Mineral Vein"] = "Filón de mineral de incendicita",
		["Indurium Mineral Vein"] = "Filón de mineral de indurio",
		["Iron Deposit"] = "Depósito de hierro",
		["Khorium Vein"] = "Filón de korio",
		["Kyparite Deposit"] = "Depósito de kyparita",
		["Large Obsidian Chunk"] = "Gran Trozo obsidiana",
		["Lesser Bloodstone Deposit"] = "Depósito de sangrita inferior",
		["Mithril Deposit"] = "Depósito de mitril",
		["Nethercite Deposit"] = "Depósito de abisalita",
		["Obsidium Deposit"] = "Depósito de obsidium",
		["Ooze Covered Gold Vein"] = "Filón de oro cubierto de moco",
		["Ooze Covered Mithril Deposit"] = "Filón de mitril cubierto de moco",
		["Ooze Covered Rich Thorium Vein"] = "Filón de torio enriquecido cubierto de moco",
		["Ooze Covered Silver Vein"] = "Filón de plata cubierto de moco",
		["Ooze Covered Thorium Vein"] = "Filón de torio cubierto de moco",
		["Ooze Covered Truesilver Deposit"] = "Filón de veraplata cubierta de moco",
		["Pure Saronite Deposit"] = "Deposito de Saronita Puro",
		["Pyrite Deposit"] = "Depósito de pirita",
		["Rich Adamantite Deposit"] = "Depósito rico en adamantita",
		["Rich Blackrock Deposit"] = "Depósito rico de Roca Negra",
		["Rich Cobalt Deposit"] = "Depósito de cobalto rico",
		["Rich Elementium Vein"] = "Filón de elementium rico",
		["Rich Ghost Iron Deposit"] = "Depósito de hierro fantasma rico",
		["Rich Kyparite Deposit"] = "Depósito de kyparita rico",
		["Rich Obsidium Deposit"] = "Depósito de obsidium rico",
		["Rich Pyrite Deposit"] = "Depósito de pirita rico",
		["Rich Saronite Deposit"] = "Depósito de saronita rico",
		["Rich Thorium Vein"] = "Filón de torio enriquecido",
		["Rich Trillium Vein"] = "Filón de trillium enriquecido",
		["Rich True Iron Deposit"] = "Depósito rico de Hierro auténtico",
		["Saronite Deposit"] = "Depósito de saronita",
		["Silver Vein"] = "Filón de plata",
		["Small Obsidian Chunk"] = "Pequeño fragmento de obsidiana",
		["Small Thorium Vein"] = "Filón pequeño de torio",
		["Tin Vein"] = "Filón de estaño",
		["Titanium Vein"] = "Filón de titanio",
		["Trillium Vein"] = "Filón de trillium",
		["True Iron Deposit"] = "Depósito de Hierro auténtico",
		["Truesilver Deposit"] = "Depósito de veraplata",
	}
--elseif GAME_LOCALE == "esMX" then
--	lib:SetCurrentTranslations {
--	}
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "Gisement d'adamantite",
		["Blackrock Deposit"] = "Gisement de rochenoire",
		["Cobalt Deposit"] = "Gisement de cobalt",
		["Copper Vein"] = "Filon de cuivre",
		["Dark Iron Deposit"] = "Gisement de sombrefer",
		["Elementium Vein"] = "Filon d'élémentium",
		["Fel Iron Deposit"] = "Gisement de gangrefer",
		["Ghost Iron Deposit"] = "Gisement d’ectofer",
		["Gold Vein"] = "Filon d'or",
		["Incendicite Mineral Vein"] = "Filon d'incendicite",
		["Indurium Mineral Vein"] = "Filon d'indurium",
		["Iron Deposit"] = "Gisement de fer",
		["Khorium Vein"] = "Filon de khorium",
		["Kyparite Deposit"] = "Gisement de kyparite",
		["Large Obsidian Chunk"] = "Grand morceau d'obsidienne",
		["Lesser Bloodstone Deposit"] = "Gisement de pierre de sang inférieure",
		["Mithril Deposit"] = "Gisement de mithril",
		["Nethercite Deposit"] = "Gisement de néanticite",
		["Obsidium Deposit"] = "Gisement d'obsidium",
		["Ooze Covered Gold Vein"] = "Filon d'or couvert de limon",
		["Ooze Covered Mithril Deposit"] = "Gisement de mithril couvert de vase",
		["Ooze Covered Rich Thorium Vein"] = "Riche filon de thorium couvert de limon",
		["Ooze Covered Silver Vein"] = "Filon d'argent couvert de limon",
		["Ooze Covered Thorium Vein"] = "Filon de thorium couvert de limon",
		["Ooze Covered Truesilver Deposit"] = "Gisement de vrai-argent couvert de vase",
		["Pure Saronite Deposit"] = "Gisement de saronite pure",
		["Pyrite Deposit"] = "Gisement de pyrite",
		["Rich Adamantite Deposit"] = "Riche gisement d'adamantite",
		["Rich Blackrock Deposit"] = "Riche gisement de rochenoire",
		["Rich Cobalt Deposit"] = "Riche gisement de cobalt",
		["Rich Elementium Vein"] = "Riche filon d'élémentium",
		["Rich Ghost Iron Deposit"] = "Riche gisement d’ectofer",
		["Rich Kyparite Deposit"] = "Riche gisement de kyparite",
		["Rich Obsidium Deposit"] = "Riche gisement d'obsidienne",
		["Rich Pyrite Deposit"] = "Riche gisement de pyrite",
		["Rich Saronite Deposit"] = "Riche gisement de saronite",
		["Rich Thorium Vein"] = "Riche filon de thorium",
		["Rich Trillium Vein"] = "Riche filon de trillium",
		["Rich True Iron Deposit"] = "Riche gisement de vérifer",
		["Saronite Deposit"] = "Gisement de saronite",
		["Silver Vein"] = "Filon d'argent",
		["Small Obsidian Chunk"] = "Petit morceau d'obsidienne",
		["Small Thorium Vein"] = "Petit filon de thorium",
		["Tin Vein"] = "Filon d'étain",
		["Titanium Vein"] = "Veine de titane",
		["Trillium Vein"] = "Filon de trillium",
		["True Iron Deposit"] = "Gisement de vérifer",
		["Truesilver Deposit"] = "Gisement de vrai-argent",
	}
elseif GAME_LOCALE == "itIT" then
	lib:SetCurrentTranslations {
		--["Adamantite Deposit"] = ???
		--["Blackrock Deposit"] = ???
		["Cobalt Deposit"] = "Deposito di Cobalto",
		["Copper Vein"] = "Vena di Rame",
		--["Dark Iron Deposit"] = ???
		--["Elementium Vein"] = ???
		--["Fel Iron Deposit"] = ???
		["Ghost Iron Deposit"] = "Deposito di Ectoferro",
		["Gold Vein"] = "Vena d'Oro",
		--["Incendicite Mineral Vein"] = ???
		--["Indurium Mineral Vein"] = ???
		["Iron Deposit"] = "Deposito di Ferro",
		--["Khorium Vein"] = ???
		["Kyparite Deposit"] = "Deposito di Kyparite",
		--["Large Obsidian Chunk"] = ???
		--["Lesser Bloodstone Deposit"] = ???
		["Mithril Deposit"] = "Deposito di Mithril",
		--["Nethercite Deposit"] = ???
		["Obsidium Deposit"] = "Deposito d'Obsidio",
		--["Ooze Covered Gold Vein"] = ???
		--["Ooze Covered Mithril Deposit"] = ???
		--["Ooze Covered Rich Thorium Vein"] = ???
		--["Ooze Covered Silver Vein"] = ???
		--["Ooze Covered Thorium Vein"] = ???
		--["Ooze Covered Truesilver Deposit"] = ???
		--["Pure Saronite Deposit"] = ???
		--["Pyrite Deposit"] = ???
		["Rich Adamantite Deposit"] = "Deposito Ricco di Adamantite",
		--["Rich Blackrock Deposit"] = ???
		["Rich Cobalt Deposit"] = "Deposito Ricco di Cobalto",
		["Rich Elementium Vein"] = "Vena Ricca di Elementio",
		["Rich Ghost Iron Deposit"] = "Deposito Ricco di Ectoferro",
		["Rich Kyparite Deposit"] = "Deposito Ricco di Kyparite",
		--["Rich Obsidium Deposit"] = ???
		--["Rich Pyrite Deposit"] = ???
		["Rich Saronite Deposit"] = "Deposito Ricco di Saronite",
		["Rich Thorium Vein"] = "Vena Ricca di Torio",
		["Rich Trillium Vein"] = "Vena Ricca di Trillio",
		--["Rich True Iron Deposit"] = ???
		["Saronite Deposit"] = "Deposito di Saronite",
		["Silver Vein"] = "Vena d'Argento",
		--["Small Obsidian Chunk"] = ???
		["Small Thorium Vein"] = "Vena Piccola di Torio",
		["Tin Vein"] = "Vena di Stagno",
		["Titanium Vein"] = "Vena di Titanio",
		["Trillium Vein"] = "Vena di Trillio",
		--["True Iron Deposit"] = ???
		["Truesilver Deposit"] = "Deposito di Verargento",
	}
elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "아다만타이트 광맥",
		["Blackrock Deposit"] = "검은바위 광맥",
		["Cobalt Deposit"] = "코발트 광맥",
		["Copper Vein"] = "구리 광맥",
		["Dark Iron Deposit"] = "검은무쇠 광맥",
		["Elementium Vein"] = "엘레멘티움 광맥",
		["Fel Iron Deposit"] = "지옥무쇠 광맥",
		["Ghost Iron Deposit"] = "유령무쇠 광맥",
		["Gold Vein"] = "금 광맥",
		["Incendicite Mineral Vein"] = "발연 광석 광맥",
		["Indurium Mineral Vein"] = "인듀리움 광맥",
		["Iron Deposit"] = "철 광맥",
		["Khorium Vein"] = "코륨 광맥",
		["Kyparite Deposit"] = "키파라이트 광맥",
		["Large Obsidian Chunk"] = "풍부한 흑요암 광맥",
		["Lesser Bloodstone Deposit"] = "저급 혈석 광맥",
		["Mithril Deposit"] = "미스릴 광맥",
		["Nethercite Deposit"] = "황천연 광맥",
		["Obsidium Deposit"] = "흑요암 광맥",
		["Ooze Covered Gold Vein"] = "진흙으로 덮인 금 광맥",
		["Ooze Covered Mithril Deposit"] = "진흙으로 덮인 미스릴 광맥",
		["Ooze Covered Rich Thorium Vein"] = "진흙으로 덮인 풍부한 토륨 광맥",
		["Ooze Covered Silver Vein"] = "진흙으로 덮인 은 광맥",
		["Ooze Covered Thorium Vein"] = "진흙으로 덮인 토륨 광맥",
		["Ooze Covered Truesilver Deposit"] = "진흙으로 덮인 진은 광맥",
		["Pure Saronite Deposit"] = "순수한 사로나이트 광맥",
		["Pyrite Deposit"] = "황철석 광맥",
		["Rich Adamantite Deposit"] = "풍부한 아다만타이트 광맥",
		["Rich Blackrock Deposit"] = "풍부한 검은바위 광맥",
		["Rich Cobalt Deposit"] = "풍부한 코발트 광맥",
		["Rich Elementium Vein"] = "풍부한 엘레멘티움 광맥",
		["Rich Ghost Iron Deposit"] = "풍부한 유령무쇠 광맥",
		["Rich Kyparite Deposit"] = "풍부한 키파라이트 광맥",
		["Rich Obsidium Deposit"] = "풍부한 흑요암 광맥",
		["Rich Pyrite Deposit"] = "풍부한 황철석 광맥",
		["Rich Saronite Deposit"] = "풍부한 사로나이트 광맥",
		["Rich Thorium Vein"] = "풍부한 토륨 광맥",
		["Rich Trillium Vein"] = "풍부한 트릴리움 광맥",
		["Rich True Iron Deposit"] = "풍부한 순철 광맥",
		["Saronite Deposit"] = "사로나이트 광맥",
		["Silver Vein"] = "은 광맥",
		["Small Obsidian Chunk"] = "작은 흑요암 광맥",
		["Small Thorium Vein"] = "작은 토륨 광맥",
		["Tin Vein"] = "주석 광맥",
		["Titanium Vein"] = "티타늄 광맥",
		["Trillium Vein"] = "트릴리움 광맥",
		["True Iron Deposit"] = "순철 광맥",
		["Truesilver Deposit"] = "진은 광맥",
	}
elseif GAME_LOCALE == "ptBR" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "Depósito de Adamantita",
		["Blackrock Deposit"] = "Depósito de Rocha Negra",
		["Cobalt Deposit"] = "Depósito de Cobalto",
		["Copper Vein"] = "Veio de Cobre",
		["Dark Iron Deposit"] = "Depósito de Ferro Negro",
		["Elementium Vein"] = "Veio de Elemêntio",
		["Fel Iron Deposit"] = "Depósito de Ferrovil",
		["Ghost Iron Deposit"] = "Depósito de Ferro Fantasma",
		["Gold Vein"] = "Veio de Ouro",
		["Incendicite Mineral Vein"] = "Veio de Incendicita",
		["Indurium Mineral Vein"] = "Mineral Indurio",
		["Iron Deposit"] = "Depósito de Ferro",
		["Khorium Vein"] = "Veio de Kório",
		["Kyparite Deposit"] = "Depósito de Kyparita",
		["Large Obsidian Chunk"] = "Grande Estilhaço de Obisidiana",
		["Lesser Bloodstone Deposit"] = "Depósito de Menor Plasma",
		["Mithril Deposit"] = "Depósito de Mithril",
		["Nethercite Deposit"] = "Depósito de Etercita",
		["Obsidium Deposit"] = "Depósito de Obsídio",
		["Ooze Covered Gold Vein"] = "Veio de Ouro Coberto de Gosma",
		["Ooze Covered Mithril Deposit"] = "Depósito de Mithril Coberto de Gosma",
		["Ooze Covered Rich Thorium Vein"] = "Veio de Tório Abundante Coberto de Gosma",
		["Ooze Covered Silver Vein"] = "Veio de Prata Coberto de Gosma",
		["Ooze Covered Thorium Vein"] = "Veio de Tório Coberto de Gosma",
		["Ooze Covered Truesilver Deposit"] = "Depósito de Veraprata Coberto de Gosma",
		["Pure Saronite Deposit"] = "Depósito de Saronita Pura",
		["Pyrite Deposit"] = "Depósito de Pirita",
		["Rich Adamantite Deposit"] = "Depósito de Adamantita Abundante",
		["Rich Blackrock Deposit"] = "Depósito Rico de Rocha Negra",
		["Rich Cobalt Deposit"] = "Depósito de Cobalto Abundante ",
		["Rich Elementium Vein"] = "Veio de Elemêntio Abundante",
		["Rich Ghost Iron Deposit"] = "Depósito Repleto de Ferro Fantasma",
		["Rich Kyparite Deposit"] = "Depósito Rico em Kyparita",
		["Rich Obsidium Deposit"] = "Depósito de Obsídio Abundante",
		["Rich Pyrite Deposit"] = "Depósito de Pirita Abundante",
		["Rich Saronite Deposit"] = "Depósito de Saronita Abundante",
		["Rich Thorium Vein"] = "Veio de Tório Abundante",
		["Rich Trillium Vein"] = "Veio Repleto de Tríllio",
		["Rich True Iron Deposit"] = "Depósito Rico de Ferro Verdadeiro",
		["Saronite Deposit"] = "Depósito de Saronita",
		["Silver Vein"] = "Veio de Prata",
		["Small Obsidian Chunk"] = "Pequeno Estilhaço de Obisidiana",
		["Small Thorium Vein"] = "Veio de Tório Pequeno",
		["Tin Vein"] = "Veio de Estanho",
		["Titanium Vein"] = "Veio de Titânico",
		["Trillium Vein"] = "Veio de Tríllio",
		["True Iron Deposit"] = "Depósito de Ferro Verdadeiro",
		["Truesilver Deposit"] = "Depósito de Veraprata",
	}
elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "Залежи адамантита",
		["Blackrock Deposit"] = "Залежи руды Черной горы",
		["Cobalt Deposit"] = "Залежи кобальта",
		["Copper Vein"] = "Медная жила",
		["Dark Iron Deposit"] = "Залежи черного железа",
		["Elementium Vein"] = "Элементиевая жила",
		["Fel Iron Deposit"] = "Месторождение оскверненного железа",
		["Ghost Iron Deposit"] = "Залежи призрачного железа",
		["Gold Vein"] = "Золотая жила",
		["Incendicite Mineral Vein"] = "Ароматитовая жила",
		["Indurium Mineral Vein"] = "Индарилиевая жила",
		["Iron Deposit"] = "Залежи железа",
		["Khorium Vein"] = "Кориевая жила",
		["Kyparite Deposit"] = "Залежи кипарита",
		["Large Obsidian Chunk"] = "Большая обсидиановая глыба",
		["Lesser Bloodstone Deposit"] = "Малое месторождение кровавого камня",
		["Mithril Deposit"] = "Мифриловые залежи",
		["Nethercite Deposit"] = "Месторождение хаотита",
		["Obsidium Deposit"] = "Залежи обсидиана",
		["Ooze Covered Gold Vein"] = "Покрытая слизью золотая жила",
		["Ooze Covered Mithril Deposit"] = "Покрытые слизью мифриловые залежи",
		["Ooze Covered Rich Thorium Vein"] = "Покрытая слизью богатая ториевая жила",
		["Ooze Covered Silver Vein"] = "Покрытая слизью серебрянная жила",
		["Ooze Covered Thorium Vein"] = "Покрытая слизью ториевая жила",
		["Ooze Covered Truesilver Deposit"] = "Покрытые слизью залежи истинного серебра",
		["Pure Saronite Deposit"] = "Месторождение чистого саронита",
		["Pyrite Deposit"] = "Залежи колчедана",
		["Rich Adamantite Deposit"] = "Богатые залежи адамантита",
		["Rich Blackrock Deposit"] = "Богатые залежи руды Черной горы",
		["Rich Cobalt Deposit"] = "Богатые залежи кобальта",
		["Rich Elementium Vein"] = "Богатая элементиевая жила",
		["Rich Ghost Iron Deposit"] = "Богатые залежи призрачного железа",
		["Rich Kyparite Deposit"] = "Богатые залежи кипарита",
		["Rich Obsidium Deposit"] = "Богатые обсидиановые залежи",
		["Rich Pyrite Deposit"] = "Богатые залежи колчедана",
		["Rich Saronite Deposit"] = "Богатое месторождение саронита",
		["Rich Thorium Vein"] = "Богатая ториевая жила",
		["Rich Trillium Vein"] = "Богатая триллиевая жила",
		["Rich True Iron Deposit"] = "Богатые залежи истинного железа",
		["Saronite Deposit"] = "Месторождение саронита",
		["Silver Vein"] = "Серебряная жила",
		["Small Obsidian Chunk"] = "Маленький кусочек обсидиана",
		["Small Thorium Vein"] = "Малая ториевая жила",
		["Tin Vein"] = "Оловянная жила",
		["Titanium Vein"] = "Залежи титана",
		["Trillium Vein"] = "Триллиевая жила",
		["True Iron Deposit"] = "Залежи истинного железа",
		["Truesilver Deposit"] = "Залежи истинного серебра",
	}
elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "精金矿脉",
		["Blackrock Deposit"] = "黑石矿脉",
		["Cobalt Deposit"] = "钴矿脉",
		["Copper Vein"] = "铜矿",
		["Dark Iron Deposit"] = "黑铁矿脉",
		["Elementium Vein"] = "源质矿",
		["Fel Iron Deposit"] = "魔铁矿脉",
		["Ghost Iron Deposit"] = "幽冥铁矿脉",
		["Gold Vein"] = "金矿石",
		["Incendicite Mineral Vein"] = "火岩矿脉",
		["Indurium Mineral Vein"] = "精铁矿脉",
		["Iron Deposit"] = "铁矿石",
		["Khorium Vein"] = "氪金矿脉",
		["Kyparite Deposit"] = "凯帕琥珀矿脉",
		["Large Obsidian Chunk"] = "大型黑曜石碎块",
		["Lesser Bloodstone Deposit"] = "次级血石矿脉",
		["Mithril Deposit"] = "秘银矿脉",
		["Nethercite Deposit"] = "虚空矿脉",
		["Obsidium Deposit"] = "黑曜石碎块",
		["Ooze Covered Gold Vein"] = "软泥覆盖的金矿脉",
		["Ooze Covered Mithril Deposit"] = "软泥覆盖的秘银矿脉",
		["Ooze Covered Rich Thorium Vein"] = "软泥覆盖的富瑟银矿脉",
		["Ooze Covered Silver Vein"] = "软泥覆盖的银矿脉",
		["Ooze Covered Thorium Vein"] = "软泥覆盖的瑟银矿脉",
		["Ooze Covered Truesilver Deposit"] = "软泥覆盖的真银矿脉",
		["Pure Saronite Deposit"] = "纯净的萨隆邪铁矿脉",
		["Pyrite Deposit"] = "燃铁矿脉",
		["Rich Adamantite Deposit"] = "富精金矿脉",
		["Rich Blackrock Deposit"] = "富黑石矿脉",
		["Rich Cobalt Deposit"] = "富钴矿脉",
		["Rich Elementium Vein"] = "富源质矿",
		["Rich Ghost Iron Deposit"] = "富幽冥铁矿脉",
		["Rich Kyparite Deposit"] = "富凯帕琥珀矿脉",
		["Rich Obsidium Deposit"] = "巨型黑曜石石板",
		["Rich Pyrite Deposit"] = "富燃铁矿脉",
		["Rich Saronite Deposit"] = "富萨隆邪铁矿脉",
		["Rich Thorium Vein"] = "富瑟银矿",
		["Rich Trillium Vein"] = "富延极矿脉",
		["Rich True Iron Deposit"] = "富真铁矿脉",
		["Saronite Deposit"] = "萨隆邪铁矿脉",
		["Silver Vein"] = "银矿",
		["Small Obsidian Chunk"] = "小型黑曜石碎块",
		["Small Thorium Vein"] = "瑟银矿脉",
		["Tin Vein"] = "锡矿",
		["Titanium Vein"] = "泰坦神铁矿脉",
		["Trillium Vein"] = "延极矿脉",
		["True Iron Deposit"] = "真铁矿脉",
		["Truesilver Deposit"] = "真银矿石",
	}
elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations {
		["Adamantite Deposit"] = "堅鋼礦床",
		["Blackrock Deposit"] = "黑石礦床",
		["Cobalt Deposit"] = "鈷藍礦床",
		["Copper Vein"] = "銅礦脈",
		["Dark Iron Deposit"] = "黑鐵礦床",
		["Elementium Vein"] = "源質礦脈",
		["Fel Iron Deposit"] = "魔鐵礦床",
		["Ghost Iron Deposit"] = "鬼鐵礦床",
		["Gold Vein"] = "金礦脈",
		["Incendicite Mineral Vein"] = "火岩礦脈",
		["Indurium Mineral Vein"] = "精鐵礦脈",
		["Iron Deposit"] = "鐵礦床",
		["Khorium Vein"] = "克銀礦脈",
		["Kyparite Deposit"] = "奇帕利礦床",
		["Large Obsidian Chunk"] = "大黑曜石塊",
		["Lesser Bloodstone Deposit"] = "次級血石礦床",
		["Mithril Deposit"] = "秘銀礦床",
		["Nethercite Deposit"] = "虛空聚晶礦床",
		["Obsidium Deposit"] = "黑曜石塊",
		["Ooze Covered Gold Vein"] = "軟泥覆蓋的金礦脈",
		["Ooze Covered Mithril Deposit"] = "軟泥覆蓋的秘銀礦床",
		["Ooze Covered Rich Thorium Vein"] = "軟泥覆蓋的富瑟銀礦脈",
		["Ooze Covered Silver Vein"] = "軟泥覆蓋的銀礦脈",
		["Ooze Covered Thorium Vein"] = "軟泥覆蓋的瑟銀礦脈",
		["Ooze Covered Truesilver Deposit"] = "軟泥覆蓋的真銀礦床",
		["Pure Saronite Deposit"] = "純淨薩鋼礦床",
		["Pyrite Deposit"] = "黃鐵礦床",
		["Rich Adamantite Deposit"] = "豐沃的堅鋼礦床",
		["Rich Blackrock Deposit"] = "豐沃的黑石礦床",
		["Rich Cobalt Deposit"] = "豐沃的鈷藍礦床",
		["Rich Elementium Vein"] = "豐沃的源質礦脈",
		["Rich Ghost Iron Deposit"] = "豐沃的鬼鐵礦脈",
		["Rich Kyparite Deposit"] = "豐沃的奇帕利礦床",
		["Rich Obsidium Deposit"] = "豐沃的黑曜石塊",
		["Rich Pyrite Deposit"] = "豐沃的黃鐵礦床",
		["Rich Saronite Deposit"] = "豐沃的薩鋼礦床",
		["Rich Thorium Vein"] = "富瑟銀礦脈",
		["Rich Trillium Vein"] = "豐沃的延齡礦脈",
		["Rich True Iron Deposit"] = "豐沃的真鐵礦床",
		["Saronite Deposit"] = "薩鋼礦床",
		["Silver Vein"] = "銀礦脈",
		["Small Obsidian Chunk"] = "小黑曜石塊",
		["Small Thorium Vein"] = "瑟銀礦脈",
		["Tin Vein"] = "錫礦脈",
		["Titanium Vein"] = "泰坦鋼礦脈",
		["Trillium Vein"] = "延齡礦脈",
		["True Iron Deposit"] = "真鐵礦床",
		["Truesilver Deposit"] = "真銀礦床",
	}
else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
